Imports System.Xml
Public Class EinfachTextEintrag
    Inherits ChangeListItem

    Private m_Text As String = ""
    Private m_Parent As EinfachTextEintragsListe
    Public Sub New(ByVal Parent As EinfachTextEintragsListe)
        m_Parent = Parent
    End Sub

    Public Sub New(ByVal Parent As EinfachTextEintragsListe, ByVal Nd As XmlNode)
        m_Parent = Parent
        m_Text = Nd.Attributes("Text").Value
    End Sub
    Public Sub Write_XML(ByVal Writer As XmlTextWriter)
        Writer.WriteAttributeString("Text", m_Text)
    End Sub

    Property Text() As String
        Get
            Return m_Text
        End Get
        Set(ByVal value As String)
            m_Text = value.Trim
        End Set
    End Property
    Public Sub ValidateText()
        m_Parent.RaiseChanged("Text")
        m_Parent.ValidateForNewItem()
    End Sub

    Public Overrides Function IsEmpty() As Boolean
        If m_Text.Trim = "" Then
            Return True
        Else
            Return False
        End If
    End Function

    Public Overloads Overrides Function CreateControl() As IEditorControlItem
        Return New EinfachTextEintragEditorItem(Me)
    End Function
    Public Overrides Sub ValidateForNewItem()
        m_Parent.ValidateForNewItem()
    End Sub
End Class
