Public Class frm_EntlassungsMedikation
    Private m_Medi As MedikamentVerordnungsListe
    Public Sub New()

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.AcceptButton = Me.OkAbortPanel1.ButtonOK
        Me.CancelButton = Me.OkAbortPanel1.ButtonAbbrechen
        m_Medi = New MedikamentVerordnungsListe
        Me.EintragsEditor1.Source = m_Medi
    End Sub
    Public Sub New(ByVal Pat As Patient)
        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.AcceptButton = Me.OkAbortPanel1.ButtonOK
        Me.CancelButton = Me.OkAbortPanel1.ButtonAbbrechen
        Me.OkAbortPanel1.ButtonOK.Enabled = False
        Me.LabelPatient.Text = Pat.Kuerzel
        m_Medi = New MedikamentVerordnungsListe(Pat.Medikamente)
        Me.EintragsEditor1.Source = m_Medi
        Dim MinDatum As New Date(1860, 1, 1)
     
        If Pat.Aufnahmedatum < MinDatum Then
            Me.ValidatedDateTextBoxAufnahme.Text = ""
        Else
            Me.ValidatedDateTextBoxAufnahme.Text = Pat.Aufnahmedatum.ToShortDateString
        End If
        If Pat.Entlassungsdatum < MinDatum Then
            Me.ValidatedDateTextBoxEntlassung.Text = ""
        Else
            Me.ValidatedDateTextBoxEntlassung.Text = Pat.Entlassungsdatum.ToShortDateString
        End If
    End Sub
    ReadOnly Property Medi() As MedikamentVerordnungsListe
        Get
            Return m_Medi
        End Get
    End Property


    Private Sub ValidatedDateTextBoxAufnahme_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ValidatedDateTextBoxAufnahme.TextChanged
        CheckOK_Button()
    End Sub

    Private Sub ValidatedDateTextBoxEntlassung_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ValidatedDateTextBoxEntlassung.TextChanged
        CheckOK_Button()
    End Sub

  
    Private Sub CheckOK_Button()
        Dim MinDatum As New Date(1860, 1, 1)

        Dim DatAufn As New ParsedDate(ValidatedDateTextBoxAufnahme.Text)
        Dim DatEntl As New ParsedDate(ValidatedDateTextBoxEntlassung.Text)
        If DatAufn.Datum < MinDatum OrElse DatEntl.Datum < MinDatum Then
            Me.OkAbortPanel1.ButtonOK.Enabled = False
        Else
            Me.OkAbortPanel1.ButtonOK.Enabled = True
        End If


    End Sub
End Class