Public Class HighlightPainter
    Inherits System.Windows.Forms.Control

    Private m_Color As Color
    Private m_Brush As SolidBrush
    Property Color() As Color
        Get
            Return m_Color
        End Get
        Set(ByVal value As Color)
            m_Color = value
            m_Brush = New SolidBrush(m_Color)
            Invalidate()
        End Set
    End Property
    Protected Overrides Sub OnPaint(ByVal pe As System.Windows.Forms.PaintEventArgs)
        MyBase.OnPaint(pe)

        'Benutzerdefinierten Zeichnungscode hier einfgen

        pe.Graphics.FillRectangle(m_Brush, New Rectangle(0, 0, Me.Width, Me.Height))
    End Sub

    Public Sub New()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.SetStyle(ControlStyles.DoubleBuffer _
                           Or ControlStyles.UserPaint _
                           Or ControlStyles.AllPaintingInWmPaint, _
                           True)
        m_Color = Drawing.Color.Gold
        m_Brush = New SolidBrush(m_Color)
    End Sub

    Private Sub HighlightPainter_Resize(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Resize
        Invalidate()
    End Sub
End Class
