Public Class UpDownPanel
    Private m_AlignLeft As Boolean = True
    Private m_SortVisible As Boolean = False
    Property AlignLeft() As Boolean
        Get
            Return m_AlignLeft
        End Get
        Set(ByVal value As Boolean)
            m_AlignLeft = value
            Visibility_Einstellen()
        End Set
    End Property
    Property SortVisible() As Boolean
        Get
            Return m_SortVisible
        End Get
        Set(ByVal value As Boolean)
            m_SortVisible = value
            Visibility_Einstellen()
        End Set
    End Property

    Private Sub Visibility_Einstellen()
        Dim SortExtra As Integer = 0
        If m_SortVisible Then
            Me.ButtonSort.Visible = True
            SortExtra = 26
        Else
            Me.ButtonSort.Visible = False
        End If



        If m_AlignLeft Then

            Me.ButtonMoveDown.Location = New Point(2 + SortExtra, 2)
            Me.ButtonMoveUp.Location = New Point(28 + SortExtra, 2)
            Me.ButtonMoveDown.Anchor = AnchorStyles.Left Or AnchorStyles.Top
            Me.ButtonMoveUp.Anchor = AnchorStyles.Left Or AnchorStyles.Top

        Else
            Me.ButtonMoveDown.Location = New Point(Me.Width - 52, 2)
            Me.ButtonMoveUp.Location = New Point(Me.Width - 26, 2)
            Me.ButtonMoveDown.Anchor = AnchorStyles.Right Or AnchorStyles.Top
            Me.ButtonMoveUp.Anchor = AnchorStyles.Right Or AnchorStyles.Top
        End If
    End Sub

    Public Event MoveUp()
    Public Event MoveDown()
    Public Event Sort()

    Private Sub ButtonMoveUp_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonMoveUp.Click
        RaiseEvent MoveUp()
    End Sub
    Private Sub ButtonMoveDown_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonMoveDown.Click
        RaiseEvent MoveDown()
    End Sub

    Private Sub ButtonSort_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonSort.Click
        RaiseEvent Sort()
    End Sub
End Class
