Public Interface ITempItemList
    Event Changed(ByVal PropertyName As String)
    Event ItemAdded(ByVal NewItem As ChangeListItem)
    Event SpecialItemCreated(ByVal NewItem As ExpandibleItem)

    Function CanMoveUp(ByVal Item As ChangeListItem) As Boolean
    Function CanMoveDown(ByVal Item As ChangeListItem) As Boolean
    Function CanDelete(ByVal Item As ChangeListItem) As Boolean

    Sub MoveUp(ByVal Item As ChangeListItem)
    Sub MoveDown(ByVal Item As ChangeListItem)
    Sub RemoveItem(ByVal Item As ChangeListItem)

    Function GetItems() As List(Of ChangeListItem)
    Function CanSort() As Boolean
    Sub SortList()
    Function HeaderControl() As Control
    Function GetColorStrings() As List(Of ColorString)
End Interface
