Imports System.Xml
Public Class Unterschrift
    Inherits ChangeListItem

    Private m_Name As String = ""
    Private m_Dienstgrad As String = ""
    Private m_Parent As UnterschriftsListe
    Public Sub New(ByVal Parent As UnterschriftsListe)
        m_Parent = Parent
    End Sub

    Public Sub New(ByVal Parent As UnterschriftsListe, ByVal Nd As XmlNode)
        m_Parent = Parent
        m_Name = Nd.Attributes("Name").Value
        m_Dienstgrad = Nd.Attributes("Dienstgrad").Value
    End Sub
    Public Sub Write_XML(ByVal Writer As XmlTextWriter)
        Writer.WriteAttributeString("Name", m_Name)
        Writer.WriteAttributeString("Dienstgrad", m_Dienstgrad)
    End Sub
    Property Name() As String
        Get
            Return m_Name
        End Get
        Set(ByVal value As String)
            If m_Name <> value.Trim Then
                m_Name = value.Trim
                m_Parent.RaiseChanged("Name")
                ValidateForNewItem()
            End If
        End Set
    End Property
    Property Dienstgrad() As String
        Get
            Return m_Dienstgrad
        End Get
        Set(ByVal value As String)
            If m_Dienstgrad <> value.Trim Then
                m_Dienstgrad = value.Trim
                m_Parent.RaiseChanged("Dienstgrad")
                ValidateForNewItem()
            End If
        End Set
    End Property
    Public Overrides Sub ValidateForNewItem()
        m_Parent.ValidateForNewItem()
    End Sub
    Public Overrides Function IsEmpty() As Boolean
        If m_Name.Trim = "" Then
            Return True
        Else
            Return False
        End If
    End Function

    Public Overloads Overrides Function CreateControl() As IEditorControlItem
        Return New UnterschriftEditorItem(Me)
    End Function
    Public Sub New(ByVal Parent As UnterschriftsListe, ByVal Original As Unterschrift)
        m_Parent = Parent
        m_Name = Original.Name
        m_Dienstgrad = Original.Dienstgrad
    End Sub
End Class
