Public MustInherit Class PatientSelectorItem
    Private m_Top As Integer = 0
    MustOverride ReadOnly Property CanMoveUp() As Boolean
    MustOverride ReadOnly Property CanMoveDown() As Boolean
    MustOverride ReadOnly Property CanDelete() As Boolean
    MustOverride ReadOnly Property CanEntlassen() As Boolean
    MustOverride ReadOnly Property CanSelect() As Boolean
    MustOverride Sub MoveUp()
    MustOverride Sub MoveDown()
    MustOverride ReadOnly Property SelectionHeight() As Integer
    Public Overridable ReadOnly Property Height() As Integer
        Get
            Return 15
        End Get
    End Property
    Property Top() As Integer
        Get
            Return m_Top
        End Get
        Set(ByVal value As Integer)
            m_Top = value
        End Set
    End Property

    Public MustOverride Sub Draw(ByVal g As Graphics, ByVal Width As Integer, ByVal TopDistance As Integer, ByVal Ft As Font)
    Public MustOverride Sub DrawSelected(ByVal g As Graphics, ByVal Width As Integer, ByVal TopDistance As Integer, ByVal Ft As Font)

    MustOverride Function GetVisibilityTop() As Integer
    MustOverride Function GetVisibilityHeight() As Integer
End Class
