Public Class CommandPanel
    Private m_LeftRightVisible As Boolean = True
    Private m_UpDownVisible As Boolean = True
    Private m_AddDeleteVisible As Boolean = True
    Property AddDeleteVisible() As Boolean
        Get
            Return m_AddDeleteVisible
        End Get
        Set(ByVal value As Boolean)
            m_AddDeleteVisible = value
            Visibility_Einstellen()
        End Set
    End Property
    Property ButtonsLeftRightVisible() As Boolean
        Get
            Return m_LeftRightVisible
        End Get
        Set(ByVal value As Boolean)
            m_LeftRightVisible = value
            Visibility_Einstellen()
        End Set
    End Property
    Property ButtonsUpDownVisible() As Boolean
        Get
            Return m_UpDownVisible
        End Get
        Set(ByVal value As Boolean)
            m_UpDownVisible = value
            Visibility_Einstellen()
        End Set
    End Property

    Property AddNewEnabled() As Boolean
        Get
            Return Me.ButtonNew.Enabled
        End Get
        Set(ByVal value As Boolean)
            Me.ButtonNew.Enabled = value
        End Set
    End Property
    Property DeleteEnabled() As Boolean
        Get
            Return Me.ButtonDelete.Enabled
        End Get
        Set(ByVal value As Boolean)
            Me.ButtonDelete.Enabled = value
        End Set
    End Property
    Property MoveUpEnabled() As Boolean
        Get
            Return Me.ButtonMoveUp.Enabled
        End Get
        Set(ByVal value As Boolean)
            Me.ButtonMoveUp.Enabled = value
        End Set
    End Property
    Property MoveLeftEnabled() As Boolean
        Get
            Return Me.ButtonMoveLeft.Enabled
        End Get
        Set(ByVal value As Boolean)
            Me.ButtonMoveLeft.Enabled = value
        End Set
    End Property
    Property MoveRightEnabled() As Boolean
        Get
            Return Me.ButtonMoveRight.Enabled
        End Get
        Set(ByVal value As Boolean)
            Me.ButtonMoveRight.Enabled = value
        End Set
    End Property
    Property MoveDownEnabled() As Boolean
        Get
            Return Me.ButtonMoveDown.Enabled
        End Get
        Set(ByVal value As Boolean)
            Me.ButtonMoveDown.Enabled = value
        End Set
    End Property
    Property EditEnabled() As Boolean
        Get
            Return Me.ButtonEdit.Enabled
        End Get
        Set(ByVal value As Boolean)
            Me.ButtonEdit.Enabled = value
        End Set
    End Property
    Property ButtonEditVisible() As Boolean
        Get
            Return Me.ButtonEdit.Visible
        End Get
        Set(ByVal value As Boolean)
            Me.ButtonEdit.Visible = value
        End Set
    End Property
    Private Sub Visibility_Einstellen()
        If m_LeftRightVisible AndAlso m_UpDownVisible Then
            Me.ButtonMoveLeft.Location = New Point(2, 2)
            Me.ButtonMoveRight.Location = New Point(28, 2)
            Me.ButtonMoveDown.Location = New Point(54, 2)
            Me.ButtonMoveUp.Location = New Point(80, 2)
            Me.ButtonMoveLeft.Visible = True
            Me.ButtonMoveRight.Visible = True
            Me.ButtonMoveDown.Visible = True
            Me.ButtonMoveUp.Visible = True
        ElseIf m_LeftRightVisible Then
            Me.ButtonMoveLeft.Location = New Point(2, 2)
            Me.ButtonMoveRight.Location = New Point(28, 2)
            Me.ButtonMoveLeft.Visible = True
            Me.ButtonMoveRight.Visible = True
            Me.ButtonMoveDown.Visible = False
            Me.ButtonMoveUp.Visible = False
        ElseIf m_UpDownVisible Then
            Me.ButtonMoveDown.Location = New Point(2, 2)
            Me.ButtonMoveUp.Location = New Point(28, 2)
            Me.ButtonMoveLeft.Visible = False
            Me.ButtonMoveRight.Visible = False
            Me.ButtonMoveDown.Visible = True
            Me.ButtonMoveUp.Visible = True
        Else
            Me.ButtonMoveLeft.Visible = False
            Me.ButtonMoveRight.Visible = False
            Me.ButtonMoveDown.Visible = False
            Me.ButtonMoveUp.Visible = False
        End If
        If m_AddDeleteVisible Then
            Me.ButtonNew.Visible = True
            Me.ButtonDelete.Visible = True
        Else
            Me.ButtonNew.Visible = False
            Me.ButtonDelete.Visible = False
        End If
    End Sub

    Public Event AddNew()
    Public Event Delete()
    Public Event MoveUp()
    Public Event MoveLeft()
    Public Event MoveRight()
    Public Event MoveDown()
    Public Event Edit()

    Private Sub ButtonNew_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonNew.Click
        RaiseEvent AddNew()
    End Sub

    Private Sub ButtonDelete_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonDelete.Click
        RaiseEvent Delete()
    End Sub

    Private Sub ButtonMoveUp_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonMoveUp.Click
        RaiseEvent MoveUp()
    End Sub

    Private Sub ButtonMoveLeft_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonMoveLeft.Click
        RaiseEvent MoveLeft()
    End Sub

    Private Sub ButtonEdit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonEdit.Click
        RaiseEvent Edit()
    End Sub

    Private Sub ButtonMoveRight_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonMoveRight.Click
        RaiseEvent MoveRight()
    End Sub

    Private Sub ButtonMoveDown_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonMoveDown.Click
        RaiseEvent MoveDown()
    End Sub
End Class
