Public Class AnredeVorschlagsListe
    Private m_Anreden As New List(Of String)
    Private m_OptimalAnrede As String = ""
    ReadOnly Property Anreden() As List(Of String)
        Get
            Return m_Anreden
        End Get
    End Property
    Property OptimalAnrede() As String
        Get
            Return m_OptimalAnrede
        End Get
        Set(ByVal value As String)
            m_OptimalAnrede = value
        End Set
    End Property

    Public Function IstGleich(ByVal Other As AnredeVorschlagsListe) As Boolean
        If m_Anreden.Count <> Other.Anreden.Count Then
            Return False
        End If
        If m_OptimalAnrede <> Other.OptimalAnrede Then
            Return False
        End If
        For I As Integer = 0 To m_Anreden.Count - 1
            If m_Anreden(I) <> Other.Anreden(I) Then
                Return False
            End If
        Next
        Return True
    End Function
End Class
