Public Class ColorLib
    Private Shared m_LinePen As Pen
    Private Shared m_ControlBorderPen As Pen
    Shared ReadOnly Property NormalColor() As Color
        Get
            Return Color.FromArgb(100, 100, 100)
        End Get
    End Property
    Shared ReadOnly Property ZimmerColor() As Color
        Get
            Return Color.DarkBlue
        End Get
    End Property
    Shared ReadOnly Property HeadLineColor() As Color
        Get
            Return Color.DarkBlue
        End Get
    End Property
    Shared ReadOnly Property WarningColor() As Color
        Get
            Return Color.FromArgb(180, 100, 100)
        End Get
    End Property
    Shared ReadOnly Property WarningColor1() As Color
        Get
            Return Color.LimeGreen
        End Get
    End Property
    Shared ReadOnly Property WarningColor2() As Color
        Get
            Return Color.LightBlue
        End Get
    End Property
    Shared ReadOnly Property VisualBorderColor() As Color
        Get
            Return Color.FromArgb(127, 157, 185)
        End Get
    End Property


    Shared ReadOnly Property LinePen() As Pen
        Get
            Return m_LinePen
        End Get
    End Property

    Shared ReadOnly Property ControlBorderPen() As Pen
        Get
            Return m_ControlBorderPen
        End Get
    End Property
    Shared Sub New()
        m_LinePen = New Pen(Color.LightGray)
        m_LinePen.DashStyle = Drawing2D.DashStyle.Dash
        m_ControlBorderPen = New Pen(Color.FromArgb(127, 157, 185))
    End Sub
    Public Shared Function MillimeterToPageUnit(ByVal Millimeter As Single) As Single
        ''PageUnit=0,01 Zoll
        ''1 Zoll = 25,4 mm
        'Dim BreiteInZoll As Single = Millimeter / 25.4F


        'Return BreiteInZoll * 0.01
        'Return Millimeter / 0.254F

        'PrinterUnit = 0,01 Zoll
        'g.DrawRectangle(New Pen(Color.Black), New Rectangle(100.0F, 100.0F, 400.0F, 400.0F))

        '100f entspricht einem Zoll

        Return Millimeter / 25.4F * 100.0F

    End Function
    Public Shared Function MillimeterToZoll(ByVal Millimeter As Single) As Single
        Return Millimeter / 0.254F
    End Function
    Public Shared Function MillimeterRectToZoll(ByVal MillimeterRect As RectangleF) As RectangleF
        Return New RectangleF(MillimeterToZoll(MillimeterRect.X), MillimeterToZoll(MillimeterRect.Y), MillimeterToZoll(MillimeterRect.Width), MillimeterToZoll(MillimeterRect.Height))
    End Function

End Class
